FAQ Suchen Mitgliederliste Benutzergruppen Profil Anmelden, um private Nachrichten zu lesen
UGamela Forum Foren-Übersicht  Anmelden  Registrieren
bug´s wo ich dringent hilfe brauche
Seite 1 von 1 [10 Beiträge]  

 Forum-Index » UGamela » Support
Neues Thema eröffnen   Dieses Thema ist gesperrt, du kannst keine Beiträge editieren oder beantworten.
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen
Autor Nachricht
Ruffy
Neuling
Neuling

Anmeldedatum: 25.04.2008
Beiträge: 4

BeitragVerfasst am: Fr 25 Apr 2008, 20:16    Titel:  bug´s wo ich dringent hilfe brauche
Themen-Beschreibung: hilfe bitte sehr schnell
 

also beim moonlist bei version 0.5 ist bug bild beim allianz reinmachen und bug beim allylogo das wars könnte mir einer die bugs so schnell wie möglcih beheben
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
-= MoF =-
UGamela PowerUser
UGamela PowerUser


Anmeldedatum: 09.12.2007
Beiträge: 345
Wohnort: Schweiz

BeitragVerfasst am: Fr 25 Apr 2008, 21:20    Titel:  

Hi,

Bugs bitte in die Bugreport-Ecke.

Allianz:
- Wird neu gemacht von mir

Moonlist:
- Was meinst du? Kannst du ein Bild machen?
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
ICQ-Nummer 
Ruffy
Neuling
Neuling

Anmeldedatum: 25.04.2008
Beiträge: 4

BeitragVerfasst am: Sa 26 Apr 2008, 20:47    Titel:  

selber fehler wie der andere angegeben hat wo du geschrieben hast kann nicht sien closed
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
-= MoF =-
UGamela PowerUser
UGamela PowerUser


Anmeldedatum: 09.12.2007
Beiträge: 345
Wohnort: Schweiz

BeitragVerfasst am: So 27 Apr 2008, 00:54    Titel:  

Gehts etwas genauer?
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
ICQ-Nummer 
Ruffy
Neuling
Neuling

Anmeldedatum: 25.04.2008
Beiträge: 4

BeitragVerfasst am: Di 29 Apr 2008, 09:55    Titel:  

Fehlermeldung:
Fatal error: Call to undefined function: make_moon() in /var/www/web1/html/shipfight/admin/moonlist.php on line 32


hier genauer gehts denn auch net mehr und du must auch net jetzt sagen in version 0.5 ist das net ich habe sie getestet ich habe jetzt bestimmt 17 versionen getestet und und immer kamm diese fehlermeldung
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
-= MoF =-
UGamela PowerUser
UGamela PowerUser


Anmeldedatum: 09.12.2007
Beiträge: 345
Wohnort: Schweiz

BeitragVerfasst am: Di 29 Apr 2008, 12:19    Titel:  

Suche in der includes/functions.php:

Code:

<?php


füge danach ein:

Code:


// make_moon() by Phlegma
   
function make_moon($user_id, $gala, $system, $moonposition, $moonname = 'Mond', $size = 'rand' ) {// by Phlegma

   // if already exists... return false
   if (doquery("SELECT id FROM {{table}} WHERE galaxy={$gala} AND system={$system} AND lunapos={$moonposition}",'lunas',true)) return false;
   
   $planet = doquery("SELECT * FROM {{table}} WHERE galaxy={$gala} AND system={$system} AND planet={$moonposition}",'planets',true);
   
   $tempcolder = mt_rand(17,23);
   // moon is about 20°C colder than the planet
   $mintemp = $planet['temp_min'] - $tempcolder;
   $maxtemp = $mintemp + mt_rand(35,45);
   
   if ($size == 'rand')
      $size = mt_rand(4000,8944);
   
   
   $q1 = doquery("INSERT INTO {{table}} SET
      `name`='".$moonname."',
      `galaxy`='".$gala."',
      `system`='".$system."',
      `lunapos`='".$moonposition."',
      `id_owner`='".$user_id."',
      `temp_max`='".$maxtemp."',
      `temp_min`='".$mintemp."',
      `diameter`='".$size."',
      `id_luna`='".time()."'" // timestamp
      ,"lunas");
   
   if (!($q1)) return false; // if problem ... return false
      
   $lunarow = doquery("SELECT * FROM {{table}} WHERE galaxy={$gala} AND system={$system} AND lunapos={$moonposition}",'lunas',true);
   
   doquery("UPDATE {{table}} SET
         `id_luna`='".$lunarow['id']."',
         `luna`='0'
      WHERE
         `galaxy`='".$gala."' AND
         `system`='".$system."' AND
         `planet`='".$moonposition."'"
      ,"galaxy");
   
   
   doquery("INSERT INTO {{table}} SET
      `name`='".$moonname."',
      `id_owner`='".$user_id."',
      `galaxy`='".$gala."',
      `system`='".$system."',
      `planet`='".$moonposition."',
      `last_update`='".time()."',
      `planet_type`='3',
      `image`='mond',
      `diameter`='".$size."',
      `field_max`='1',
      `temp_min`='".$maxtemp."',
      `temp_max`='".$mintemp."',
      `metal`='0',
      `metal_perhour`='0',
      `metal_max`='100000',
      `crystal`='0',
      `crystal_perhour`='0',
      `crystal_max`='100000',
      `deuterium`='0',
      `deuterium_perhour`='0',
      `deuterium_max`='100000'"
      ,'planets');
   
   return true;
}


Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
ICQ-Nummer 
Phoscur
Site Admin
Site Admin


Anmeldedatum: 07.12.2007
Beiträge: 914

BeitragVerfasst am: Di 29 Apr 2008, 17:14    Titel:  

Die datei ist da, sie muss nur includiert werden. ( /includes/moon_maker.php)
Ich hatte die function eigentlich in den adminincludes, hab sie dann aber ausgelagert und vergessen wieder ein include einzubauen.

Ich rate ab vom spielen mit 0.4++, bzw der 0.5 die du hast.

_________________

Wenn du Hilfe brauchst wende dich an einen >Supporter<.
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen 
Ruffy
Neuling
Neuling

Anmeldedatum: 25.04.2008
Beiträge: 4

BeitragVerfasst am: Mi 30 Apr 2008, 06:39    Titel:  

joa ich steige morgen auch auf xnova um weniger bug´s und mehr möglcihkeiten
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
mictes
Einsteiger
Einsteiger


Anmeldedatum: 25.02.2008
Beiträge: 17

BeitragVerfasst am: Mi 30 Apr 2008, 12:39    Titel:  

Also ich selbst gebe zu ich habe auch Xnova ausprobiert (und die 0.4.a) und da würde ich eher die letzte Ugamela-Version auf den Server hauen als das ganze Zeug 1) zu übersetzen und 2) anzupassen...
_________________
/mictes
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden 
ICQ-Nummer 
Phoscur
Site Admin
Site Admin


Anmeldedatum: 07.12.2007
Beiträge: 914

BeitragVerfasst am: Mi 30 Apr 2008, 13:22    Titel:  

Ruffy hat Folgendes geschrieben:
joa ich steige morgen auch auf xnova um weniger bug´s und mehr möglcihkeiten

Kommt drauf an was du vergleichst. 0.4a und 0.8 ist wohl ein sinnloser Vergleich da 0.8 auf 0.4a basiert. Einen Vergleich mit 0.4++ lehne ich ab, es sie offiziell gar nicht gibt (auch 0.5 nicht!).

Das BetaUni läuft recht stabil, XNova Universen kenne ich nicht.
Was Anpassung angeht kommt es immer drauf an was du tun willst. Ich bin mir sicher das wird einfacher an der kommenden 0.5 sein als an Xnova 0.8.

// bug scheint gelöst. geschlossen.

_________________

Wenn du Hilfe brauchst wende dich an einen >Supporter<.
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen 
Beiträge der letzten Zeit anzeigen:   Sortieren nach:   
Seite 1 von 1 [10 Beiträge]  
Neues Thema eröffnen   Dieses Thema ist gesperrt, du kannst keine Beiträge editieren oder beantworten. Vorheriges Thema anzeigen :: Nächstes Thema anzeigen
 Forum-Index » UGamela » Support
Gehe zu:  

Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht teilnehmen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum nicht herunterladen
[ Time: 0.0670s ][ Queries: 13 (0.0079s) ][ Debug Ein ]

Powered by phpBB © 2001, 2005 phpBB Group
BBTech Template by © 2003-04 MDesign
Categories Hierarchy 2.1.6g © 2003-2005 Ptirhiik RPGnet-Fr | Adaptation provided by Craterz.com